Subject: [AVTCORE] Minor bug in RFC 3711 (SRTP), FYI

From: Ross Finlayson <[email-masked]>
Date: Sat, 9 Aug 2014 22:57:22 -0700

In section 3.4 ("Secure RTCP"), there is a bug in "Figure 2. An example of the format of a Secure RTCP packet..."

      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+<+
     |V=2|P|    RC   |   PT=SR or RR   |             length          | |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ |

The boundary between the "PT=SR or RR" and the "length" fields is wrong: The boundary is shown as being between bits 16 and 17; it should be between bits 15 and 16.  I.e., the "PT=SR or RR" field should be 8 bits long, not 9.

This is just a minor bug, because the equivalent diagram in RFC 3550 (the normative reference for RTCP) is correct.  Nonetheless, this bug should probably be added to the errata for RFC 3711

Ross Finlayson
Live Networks, Inc.
http://www.live555.com/